package com.sunxung.factoring.entity.ledger.vo;

import com.sunxung.factoring.entity.customerinformation.SupplierBankCardInfo;
import com.sunxung.factoring.entity.ledger.LedgerAccountBasicInfo;
import com.sunxung.factoring.entity.ledger.LedgerFundGoodsAssign;

import java.util.List;

/**
 * @Description : 分账管理信息vo类
 * @Author : L.Jia
 * @Date: 2021-11-26 16:39
 */
public class LedgerAccountInfoVo {

    /**
     * 分账基础信息
     */
    private LedgerAccountBasicInfo ledgerAccountBasicInfo;

    /**
     * 货物分配信息
     */
    private List<LedgerFundGoodsAssign> goodsAssignList;

    /**
     * 关联供应商银行卡账户
     */
    private List<SupplierBankCardInfo> supplierBankCardInfoList;

    /**
     * 暂存：false/提交：true
     */
    private Boolean submit;


    public LedgerAccountBasicInfo getLedgerAccountBasicInfo() {
        return ledgerAccountBasicInfo;
    }

    public void setLedgerAccountBasicInfo(LedgerAccountBasicInfo ledgerAccountBasicInfo) {
        this.ledgerAccountBasicInfo = ledgerAccountBasicInfo;
    }

    public List<SupplierBankCardInfo> getSupplierBankCardInfoList() {
        return supplierBankCardInfoList;
    }

    public void setSupplierBankCardInfoList(List<SupplierBankCardInfo> supplierBankCardInfoList) {
        this.supplierBankCardInfoList = supplierBankCardInfoList;
    }

    public List<LedgerFundGoodsAssign> getGoodsAssignList() {
        return goodsAssignList;
    }

    public void setGoodsAssignList(List<LedgerFundGoodsAssign> goodsAssignList) {
        this.goodsAssignList = goodsAssignList;
    }

    public Boolean getSubmit() {
        return submit;
    }

    public void setSubmit(Boolean submit) {
        this.submit = submit;
    }
}
